# ncurses 5.9 - patch 20111119 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20111119.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Nov 20 02:38:21 UTC 2011
# ------------------------------------------------------------------------------
# NEWS                        |   11 ++++++++++-
# dist.mk                     |    4 ++--
# ncurses/curses.priv.h       |    6 +-----
# ncurses/tinfo/db_iterator.c |    4 ++--
# 4 files changed, 15 insertions(+), 10 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.1818 
--- ncurses-5.9-20111112+/NEWS	2011-11-13 02:07:55.000000000 +0000
+++ ncurses-5.9-20111119/NEWS	2011-11-19 22:08:09.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.1818 2011/11/13 02:07:55 tom Exp $
+-- $Id: NEWS,v 1.1820 2011/11/19 22:08:09 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,15 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20111119
+	+ remove obsolete/conflicting fallback definition for _POSIX_SOURCE
+	  from curses.priv.h, fixing a regression with IRIX64 and Tru64
+	  (cf: 20110416)
+	+ modify _nc_tic_dir() to ensure that its return-value is nonnull,
+	  i.e., the database iterator was not initialized.  This case is needed
+	  to when tic is translating to termcap, rather than loading the
+	  database (cf:  20111001).
+
 20111112
 	+ add pccon entries for OpenBSD console (Alexei Malinin).
 	+ build-fix for OpenBSD 4.9 with gcc 4.2.1, setting _XOPEN_SOURCE to
Index: dist.mk
Prereq:  1.843 
--- ncurses-5.9-20111112+/dist.mk	2011-11-11 18:50:46.000000000 +0000
+++ ncurses-5.9-20111119/dist.mk	2011-11-19 15:14:00.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.843 2011/11/11 18:50:46 tom Exp $
+# $Id: dist.mk,v 1.844 2011/11/19 15:14:00 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20111112
+NCURSES_PATCH = 20111119
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: ncurses/curses.priv.h
Prereq:  1.489 
--- ncurses-5.9-20111112+/ncurses/curses.priv.h	2011-10-29 19:58:15.000000000 +0000
+++ ncurses-5.9-20111119/ncurses/curses.priv.h	2011-11-19 21:56:10.000000000 +0000
@@ -34,7 +34,7 @@
  ****************************************************************************/
 
 /*
- * $Id: curses.priv.h,v 1.489 2011/10/29 19:58:15 tom Exp $
+ * $Id: curses.priv.h,v 1.490 2011/11/19 21:56:10 tom Exp $
  *
  *	curses.priv.h
  *
@@ -61,10 +61,6 @@
 #define MODULE_ID(id) /*nothing*/
 #endif
 
-#if !(defined(_POSIX_SOURCE) || defined(_POSIX_C_SOURCE) || defined(_XOPEN_SOURCE))
-#define _POSIX_SOURCE
-#endif
-
 #include <stddef.h>		/* for offsetof */
 #include <stdlib.h>
 #include <string.h>
Index: ncurses/tinfo/db_iterator.c
Prereq:  1.20 
--- ncurses-5.9-20111112+/ncurses/tinfo/db_iterator.c	2011-10-08 20:55:38.000000000 +0000
+++ ncurses-5.9-20111119/ncurses/tinfo/db_iterator.c	2011-11-19 18:13:34.000000000 +0000
@@ -43,7 +43,7 @@
 #include <hashed_db.h>
 #endif
 
-MODULE_ID("$Id: db_iterator.c,v 1.20 2011/10/08 20:55:38 tom Exp $")
+MODULE_ID("$Id: db_iterator.c,v 1.21 2011/11/19 18:13:34 tom Exp $")
 
 #define HaveTicDirectory _nc_globals.have_tic_directory
 #define KeepTicDirectory _nc_globals.keep_tic_directory
@@ -184,7 +184,7 @@
 		return _nc_tic_dir(envp);
 	}
     }
-    return TicDirectory;
+    return TicDirectory ? TicDirectory : TERMINFO;
 }
 
 /*
